import request from '@/utils/request'
import constant from '@/constant'

function transactionRanking(formData) {
  return request.post(constant.serverUrl + "/report/transactionRanking", formData);
}

function transactionRankingXls(formData) {
  return request.post(constant.serverUrl + "/report/transactionRankingXls", formData);
}

function transactionReportBoss(formData) {
  return request.post(constant.serverUrl + "/report/transactionReportBoss", formData);
}

function transactionReportBossXls(formData) {
  return request.post(constant.serverUrl + "/report/transactionReportBossXls", formData);
}

function yearSOA(formData) {
  return request.post(constant.serverUrl + "/report/yearSOA", formData);
}

function yearSOAXls(formData) {
  return request.post(constant.serverUrl + "/report/yearSOAXls", formData);
}

export default {
  transactionRanking,transactionRankingXls,transactionReportBoss,transactionReportBossXls,yearSOA,yearSOAXls
}